# Update dashboard

Updates (renames) the specified dashboard.

Endpoint: PUT /sights/{sightId}
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

  - `Content-Type` (string)
    Required for POST and PUT requests. Defines the structure for the request body.

## Path parameters:

  - `sightId` (string, required)
    ID of the dashboard (sight) being accessed.

## Query parameters:

  - `numericDates` (boolean)
    You can optionally choose to receive and send dates/times in numeric format, as milliseconds since the UNIX epoch (midnight on January 1, 1970 in UTC time), using the query string parameter numericDates with a value of true. This query parameter works for any API request.

## Request fields (application/json):

  - `name` (string)
    Dashboard name.

## Response 200 fields (application/json):

  - `failedItems` (array,null)
    Array of BulkItemFailure objects which represents the items that failed to be added or updated. See [Bulk operations > Partial success](/api/smartsheet/guides/advanced-topics/scalability-options) for more information. Applicable only for bulk operations that support partial success.

  - `failedItems.rowId` (number,null)
    The ID of the row that failed. Applicable only to bulk row operations.

  - `failedItems.error` (object)
    The error caused by the failed item.

  - `failedItems.error.refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `failedItems.error.errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `failedItems.error.message` (string)
    Descriptive error message.

  - `failedItems.index` (number)
    The index of the failed item in the bulk request array.

  - `message` (string)
    Message that indicates the outcome of the request. (One of SUCCESS or PARTIAL_SUCCESS.)
    Enum: "PARTIAL_SUCCESS", "SUCCESS"

  - `resultCode` (number)
    * '0' Success
* '3' Partial Success of Bulk Operation
    Enum: 0, 3

  - `result` (object)

  - `result.backgroundColor` (string)
    The hex color, for instance #E6F5FE.

  - `result.defaultWidgetBackgroundColor` (string)
    The hex color of the background color for all widgets except for title widgets on the dashboard, for instance #E6F5FEF4 or #E6F5FE.

  - `result.columnCount` (number)
    Number of columns that the dashboard contains.

  - `result.source` (object)

  - `result.source.id` (number)
    The ID of the dashboard, report, sheet, or template from which the enclosing dashboard, report, sheet, or template was created.

  - `result.source.type` (string)
    report, sheet, sight (aka dashboard), or template.

  - `result.widgets` (array)

  - `result.widgets.id` (number)
    Widget ID.

  - `result.widgets.type` (string)
    Type of widget.
    Enum: "CHART", "GRIDGANTT", "IMAGE", "METRIC", "RICHTEXT", "SHEETSUMMARY", "SHORTCUT", "SHORTCUTICON", "SHORTCUTLIST", "TITLE", "WEBCONTENT"

  - `result.widgets.contents` (any) — one of:
    The type of widget content depends on the value of widget.type.
    - Chart widget content:
      - `type` (string)
        Enum: "CHART"
      - `reportId` (number)
        Report ID denoting container source, if applicable.
      - `sheetId` (number)
        Sheet ID denoting container source, if applicable.
      - `axes` (array)
      - `axes.location` (string)
        Describes location of the axis.
        Enum: "BOTTOM", "LEFT", "NONE", "RIGHT", "TOP"
      - `axes.title` (string)
        Axis title.
      - `axes.titleInfo` (object)
      - `axes.titleInfo.type` (string)
        Enum: "ABSTRACT_DATE_TIME", "CHECKBOX", "CONTACT_LIST", "DATE", "DATE_TIME", "DURATION", "MULTI_CONTACT_LIST", "MULTI_PICKLIST", "PICKLIST", "PREDECESSOR", "TEXT_NUMBER"
      - `axes.axisTitleFont` (string)
        List of supported fonts in Dashboards
        Enum: "Arial", "Courier", "Georgia", "Gill Sans", "Helvetica", "Luminari", "Monaco", "Tahoma", "Times New Roman", "Verdana"
      - `axes.axisLabelFormat` (string)
        Describes the axis format (see [Formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).
        Example: ",,,,,,,,36,,,,,,,,"
      - `axes.axisLabelFont` (string)
        List of supported fonts in Dashboards
        Enum: same as `axes.axisTitleFont` in "Chart widget content" (10 values)
      - `axes.includeZero` (boolean)
        Includes 0 in the axis.
      - `hyperlink` (object) — one of:
        Specifies what happens (the widget behavior) when a user clicks on the widget.
        - No widget hyperlink:
          - `interactionType` (string)
            Do nothing.
            Enum: "NONE"
        - Distribution widget hyperlink:
          - `interactionType` (string)
            Opens the current org's distribution link; it's only available if the org has distribution links enabled.
            Enum: "DISTI_COPY"
          - `url` (string)
        - Folder widget hyperlink:
          - `interactionType` (string)
            Opens the specified folder.
            Enum: "SMARTSHEET_ITEM"
          - `url` (string)
          - `folderId` (number)
        - Report widget hyperlink:
          - `interactionType` (string)
            Opens the specified report.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `reportId` (number)
        - Sheet widget hyperlink:
          - `interactionType` (string)
            Opens the specified sheet.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `sheetId` (number)
        - Dashboard widget hyperlink:
          - `interactionType` (string)
            Opens the specified dashboard.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `sightId` (number)
        - Workspace widget hyperlink:
          - `interactionType` (string)
            Opens the specified workspace.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `workspaceId` (number)
        - Source sheet widget hyperlink:
          - `interactionType` (string)
            Opens the widget's source sheet.
            Enum: "SOURCE_SHEET"
          - `url` (string)
          - `sheetId` (number)
        - Source report widget hyperlink:
          - `interactionType` (string)
            Opens the widget's source report.
            Enum: same as `interactionType` in "Source sheet widget hyperlink" (1 values)
          - `url` (string)
          - `reportId` (number)
        - Web widget hyperlink:
          - `interactionType` (string)
            Opens the website specified by the URL.
            Enum: "WEB"
          - `url` (string)
      - `includedColumnIds` (array)
        Array of column Ids if the range was selected through the UI.
      - `legend` (object)
      - `legend.location` (string)
        Enum: same as `axes.location` in "Chart widget content" (5 values)
      - `legend.legendFormat` (string)
        The format descriptor (see [Formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)). Only returned if the legend has a non-default format applied to it.
        Example: ",,1,1,,,,,,,,,,,,,"
      - `legend.legendFont` (string)
        List of supported fonts in Dashboards
        Enum: same as `axes.axisTitleFont` in "Chart widget content" (10 values)
      - `selectionRanges` (array)
      - `selectionRanges.sourceColumnId1` (number)
        Defines beginning edge of range when specifying one or more columns.
      - `selectionRanges.sourceColumnId2` (number)
        Defines ending edge of range when specifying one or more columns.
      - `selectionRanges.sourceRowId1` (number)
        Defines beginning edge of range when specifying one or more rows.
      - `selectionRanges.sourceRowId2` (number)
        Defines ending edge of range when specifying one or more rows.
      - `series` (array)
      - `series.title` (string)
      - `series.titleInfo` (object)
      - `series.seriesTitleFormat` (string)
        Series title format (see [Formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).
      - `series.seriesType` (string)
        Enum: "AREA", "BAR", "COLUMN", "LINE", "PIE", "SCATTER"
      - `series.dataLabels` (object)
      - `series.dataLabels.labelType` (string)
        Enum: "NONE", "PERCENT", "VALUE"
      - `series.tooltips` (object)
      - `series.tooltips.labelType` (string)
        Enum: "NONE", "PERCENT", "X_SERIES_Y", "X_Y_PERCENT", "Y", "Y_PERCENT"
      - `series.lineType` (string)
        Enum: "CURVED", "STEPPED", "STRAIGHT"
      - `series.holeSize` (number)
      - `series.isFilled` (boolean)
      - `series.isHalf` (boolean)
      - `series.isStacked` (boolean)
      - `series.xFormat` (string)
        The format descriptor (see [Formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)). Only returned if the series has a non-default format applied to it.
        Example: ",,1,1,,,,,,,,,,,,,"
      - `series.yFormat` (string)
        The format descriptor (see [Formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)). Only returned if the series has a non-default format applied to it.
        Example: ",,1,1,,,,,,,,,,,,,"
      - `series.color` (string)
      - `series.axisLocationX` (string)
        Enum: same as `axes.location` in "Chart widget content" (5 values)
      - `series.axisLocationY` (string)
        Enum: same as `axes.location` in "Chart widget content" (5 values)
      - `series.yColumnInfo` (object)
      - `series.xColumnInfo` (object)
      - `series.seriesSelectionOrder` (string)
        Enum: "COLUMNS", "ROWS"
      - `series.seriesData` (array)
      - `series.seriesData.x` (number)
      - `series.seriesData.y` (number)
      - `series.seriesData.xFormat` (string)
        The format descriptor (see [Formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)). Only returned if the series has a non-default format applied to it.
        Example: ",,1,1,,,,,,,,,,,,,"
      - `series.seriesData.yFormat` (string)
        The format descriptor (see [Formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)). Only returned if the series has a non-default format applied to it.
        Example: ",,1,1,,,,,,,,,,,,,"
      - `series.seriesData.color` (string)
      - `series.selectionRanges` (array)
      - `verticalGridLines` (object)
      - `verticalGridLines.lineStyle` (string)
        Enum: "SOLID"
      - `horizontalGridLines` (object)
    - Metric widget content:
      - `type` (string)
        Enum: "METRIC", "SHEETSUMMARY"
      - `sheetId` (number)
        Sheet ID from which the cell data originates.
      - `cellData` (array)
      - `cellData.columnId` (number)
        Column ID for each item.
      - `cellData.rowId` (number)
        Row ID for each item.
      - `cellData.sheetId` (number)
        Sheet ID for each item.
      - `cellData.objectValue` (any) — one of:
        The type of data returned depends on the cell type and the data in the cell.
        - Abstract datetime object value:
          - `objectType` (string)
            Enum: "ABSTRACT_DATETIME"
          - `value` (string)
            Datetime, in the date-time format defined by RFC 3339, section 5.6
        - Contact object value:
          - `objectType` (string)
            Enum: "CONTACT"
          - `email` (string)
            Email address of the Contact
            Example: "john.doe@acme.com"
          - `name` (string)
            Name of the Contact
            Example: "John Doe"
          - `imageId` (string)
            ID of an image associated with the Contact
            Example: "1234!_qwer!_5667zxcvQWER!_ASDF"
          - `emailId` (string)
            ID of the email address
            Example: "23456789"
          - `userId` (string)
            User ID of the contact
            Example: "12345678"
          - `lookUpName` (boolean)
            Whether or not to look up the contact's name based on their email address.
            Example: true
        - Date object value:
          - `objectType` (string)
            Enum: "DATE"
          - `value` (string)
            Date in the full-date format defined by RFC 3339, section 5.6
        - Datetime object value:
          - `objectType` (string)
            Enum: "DATETIME"
          - `value` (string)
            Datetime, in the date-time format defined by RFC 3339, section 5.6
        - Duration object value:
          - `objectType` (string)
            Enum: "DURATION"
          - `days` (number)
            Number of days
        - Multi-contact object value:
          - `objectType` (string)
            Enum: "MULTI_CONTACT"
          - `value` (array)
            List of Contacts
        - Multi-picklist object value:
          - `objectType` (string)
            Enum: "MULTI_PICKLIST"
          - `values` (array)
            List of strings to choose from
        - Predecessor list object value:
          - `objectType` (string)
            Enum: "PREDECESSOR_LIST"
          - `predecessors` (array)
            List of references to rows on which the current row depends
            Example: [{"rowId":1234567890123456,"rowNumber":2,"type":"FS","inCriticalPath":true}]
      - `cellData.cell` (object)
      - `cellData.cell.columnId` (number)
        The ID of the column that the cell is located in.
      - `cellData.cell.columnType` (string)
        Only returned if the include query string parameter contains columnType.
      - `cellData.cell.conditionalFormat` (string)
        The format descriptor describing this cell's conditional format. Only returned if the include query string parameter contains format and this cell has a conditional format applied.
      - `cellData.cell.displayValue` (string)
        Visual representation of cell contents, as presented to the user in the UI.
      - `cellData.cell.format` (string)
        The format descriptor. Only returned if the include query string parameter contains format and this cell has a non-default format applied.
      - `cellData.cell.formula` (string)
        The formula for a cell, if set, for instance =COUNTM([Assigned To]3). Note that calculation errors or problems with a formula do not cause the API call to return an error code. Instead, the response contains the same value as in the UI, such as cell.value = "#CIRCULAR REFERENCE".
      - `cellData.cell.hyperlink` (object)
      - `cellData.cell.hyperlink.reportId` (number)
        If non-null, this hyperlink is a link to the report with this ID.
      - `cellData.cell.hyperlink.sheetId` (number)
        If non-null, this hyperlink is a link to the sheet with this ID.
      - `cellData.cell.hyperlink.sightId` (number)
        If non-null, this hyperlink is a link to the dashboard with this ID.
      - `cellData.cell.hyperlink.url` (string)
        When the hyperlink is a URL link, this property contains the URL value. When the hyperlink is a dashboard/report/sheet link (that is, dashboardId, reportId, or sheetId is non-null), this property contains the permalink to the dashboard, report, or sheet.
      - `cellData.cell.image` (object)
      - `cellData.cell.image.altText` (string)
        Alternate text for the image.
      - `cellData.cell.image.height` (number)
        Original height (in pixels) of the uploaded image.
      - `cellData.cell.image.id` (string)
        Image ID.
      - `cellData.cell.image.width` (number)
        Original width (in pixels) of the uploaded image.
      - `cellData.cell.linkInFromCell` (object)
      - `cellData.cell.linkInFromCell.columnId` (number)
        Column ID of the linked cell.
      - `cellData.cell.linkInFromCell.rowId` (number)
        Row ID of the linked cell.
      - `cellData.cell.linkInFromCell.sheetId` (number)
        Sheet ID of the sheet that the linked cell belongs to.
      - `cellData.cell.linkInFromCell.sheetName` (string)
        Sheet name of the linked cell.
      - `cellData.cell.linkInFromCell.status` (string)
        * BLOCKED One of several other values indicating unusual error conditions.
* BROKEN The row or sheet linked to was deleted.
* CIRCULAR One of several other values indicating unusual error conditions.
* DISABLED One of several other values indicating unusual error conditions.
* INACCESSIBLE The sheet linked to cannot be viewed by this user.
* INVALID One of several other values indicating unusual error conditions.
* NOT_SHARED One of several other values indicating unusual error conditions.
* OK The link is in a good state.
        Enum: "BLOCKED", "BROKEN", "CIRCULAR", "DISABLED", "INACCESSIBLE", "INVALID", "NOT_SHARED", "OK"
      - `cellData.cell.linksOutToCells` (array)
      - `cellData.cell.objectValue` (any) — one of:
        - Abstract datetime object value:
          - `objectType` (string)
            Enum: same as `objectType` in "Abstract datetime object value" (1 values)
          - `value` (string)
            Datetime, in the date-time format defined by RFC 3339, section 5.6
        - Contact object value:
          - `objectType` (string)
            Enum: same as `objectType` in "Contact object value" (1 values)
          - `email` (string)
            Email address of the Contact
            Example: "john.doe@acme.com"
          - `name` (string)
            Name of the Contact
            Example: "John Doe"
          - `imageId` (string)
            ID of an image associated with the Contact
            Example: "1234!_qwer!_5667zxcvQWER!_ASDF"
          - `emailId` (string)
            ID of the email address
            Example: "23456789"
          - `userId` (string)
            User ID of the contact
            Example: "12345678"
          - `lookUpName` (boolean)
            Whether or not to look up the contact's name based on their email address.
            Example: true
        - Date object value:
          - `objectType` (string)
            Enum: same as `objectType` in "Date object value" (1 values)
          - `value` (string)
            Date in the full-date format defined by RFC 3339, section 5.6
        - Datetime object value:
          - `objectType` (string)
            Enum: same as `objectType` in "Datetime object value" (1 values)
          - `value` (string)
            Datetime, in the date-time format defined by RFC 3339, section 5.6
        - Duration object value:
          - `objectType` (string)
            Enum: same as `objectType` in "Duration object value" (1 values)
          - `days` (number)
            Number of days
        - Multi-contact object value:
          - `objectType` (string)
            Enum: same as `objectType` in "Multi-contact object value" (1 values)
          - `value` (array)
            List of Contacts
        - Multi-picklist object value:
          - `objectType` (string)
            Enum: same as `objectType` in "Multi-picklist object value" (1 values)
          - `values` (array)
            List of strings to choose from
        - Predecessor list object value:
          - `objectType` (string)
            Enum: same as `objectType` in "Predecessor list object value" (1 values)
          - `predecessors` (array)
            List of references to rows on which the current row depends
            Example: [{"rowId":1234567890123456,"rowNumber":2,"type":"FS","inCriticalPath":true}]
      - `cellData.cell.overrideValidation` (boolean)
        (Admin only) Indicates whether the cell value can contain a value outside of the validation limits (value = true). When using this parameter, you must also set strict to false to bypass value type checking. This property is honored for POST or PUT actions that update rows.
      - `cellData.cell.strict` (boolean)
        Set to false to enable lenient parsing. Defaults to true. You can specify this attribute in a request, but it is never present in a response.
      - `cellData.cell.value` (any)
        A string, number, or a Boolean value -- depending on the cell type and the data in the cell. Cell values larger than 4000 characters are silently truncated. An empty cell returns no value.
      - `cellData.dataSource` (string)
        Enum: "CELL", "SUMMARY_FIELD"
      - `cellData.inheritCellValue` (boolean)
        Specifies if valueFormat is inherited from the underlying cell value
      - `cellData.label` (string)
        Label for the data point. This is either the column name or a user-provided string.
      - `cellData.labelFormat` (string)
        Format description for label.
        Example: ",,1,1,,,,,,,,,,,,,"
      - `cellData.labelFont` (string)
        List of supported fonts in Dashboards
        Enum: same as `axes.axisTitleFont` in "Chart widget content" (10 values)
      - `cellData.order` (number)
        The display order for the CellDataItem.
      - `cellData.profileField` (object)
      - `cellData.profileField.id` (number)
        SummaryField ID.
      - `cellData.profileField.contactOptions` (array)
        Array of ContactOption objects to specify a pre-defined list of values for the column. Column type must be CONTACT_LIST.
      - `cellData.profileField.createdAt` (any)
      - `cellData.profileField.createdBy` (object)
        User object containing name and email of the creator of this summary field.
      - `cellData.profileField.createdBy.email` (string)
        Example: "jane.doe@smartsheet.com"
      - `cellData.profileField.createdBy.name` (string)
        Example: "Jane Doe"
      - `cellData.profileField.displayValue` (string)
        Visual representation of cell contents, as presented to the user in the UI.
      - `cellData.profileField.format` (string)
        The format descriptor. Only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `cellData.profileField.formula` (string)
        The formula for a cell, if set.
      - `cellData.profileField.hyperlink` (object)
      - `cellData.profileField.image` (object)
      - `cellData.profileField.index` (number)
        Field index or position. This number is zero-based.
      - `cellData.profileField.locked` (boolean)
        Indicates whether the field is locked.
      - `cellData.profileField.lockedForUser` (boolean)
        Indicates whether the field is locked for the requesting user.
      - `cellData.profileField.modifiedAt` (any)
      - `cellData.profileField.modifiedBy` (object)
        User object containing name and email of the user who most recently modified this summary field.
      - `cellData.profileField.modifiedBy.email` (string)
        Example: "jane.doe@smartsheet.com"
      - `cellData.profileField.modifiedBy.name` (string)
        Example: "Jane Doe"
      - `cellData.profileField.objectValue` (any) — one of:
        - Contact object value:
          - `objectType` (string)
            Enum: same as `objectType` in "Contact object value" (1 values)
          - `email` (string)
            Email address of the Contact
            Example: "john.doe@acme.com"
          - `name` (string)
            Name of the Contact
            Example: "John Doe"
          - `imageId` (string)
            ID of an image associated with the Contact
            Example: "1234!_qwer!_5667zxcvQWER!_ASDF"
          - `emailId` (string)
            ID of the email address
            Example: "23456789"
          - `userId` (string)
            User ID of the contact
            Example: "12345678"
          - `lookUpName` (boolean)
            Whether or not to look up the contact's name based on their email address.
            Example: true
        - Date object value:
          - `objectType` (string)
            Enum: same as `objectType` in "Date object value" (1 values)
          - `value` (string)
            Date in the full-date format defined by RFC 3339, section 5.6
      - `cellData.profileField.options` (array)
        When applicable for PICKLIST column type. Array of the options available for the field.
      - `cellData.profileField.symbol` (string)
        When applicable for PICKLIST column type.
      - `cellData.profileField.title` (string)
        Arbitrary name, must be unique within summary.
      - `cellData.profileField.type` (string)
        Enum: "ABSTRACT_DATETIME", "CHECKBOX", "CONTACT_LIST", "DATE", "DATETIME", "DURATION", "MULTI_CONTACT_LIST", "MULTI_PICKLIST", "PICKLIST", "PREDECESSOR", "TEXT_NUMBER"
      - `cellData.profileField.validation` (boolean)
        Indicates whether summary field values are restricted to the type.
      - `cellData.valueFormat` (string)
        Format description for value.
        Example: ",,1,1,,,,,,,,,,,,,"
      - `cellData.valueFont` (string)
        List of supported fonts in Dashboards
        Enum: same as `axes.axisTitleFont` in "Chart widget content" (10 values)
      - `columns` (array) — one of:
        - Text/number column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            The formula for the column, if set.

For example: =[Column A]@row + [Column B]@row
          - `primary` (boolean)
            If set to true, the column is the sheet's Primary Column. This property is returned only if the property is set to true.
          - `tags` (array)
            This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.
            Enum: "GANTT_DISPLAY_LABEL"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: "TEXT_NUMBER"
          - `validation` (boolean, required)
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: 0
        - Auto number column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `autoNumberFormat` (object, required)
            Specifies how to format values for an auto-generated numbers column.
            Example: {"fill":"","prefix":"","startingNumber":1,"suffix":""}
          - `autoNumberFormat.fill` (string)
            Indicates zero-padding. It must be between 0 and 10 "0" (zero) characters.
          - `autoNumberFormat.prefix` (string)
            The prefix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
          - `autoNumberFormat.startingNumber` (number)
            The starting number for the auto-ID.
            Example: 1
          - `autoNumberFormat.suffix` (string)
            The suffix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
          - `systemColumnType` (string, required)
            If this property is set, the column contains auto-generated numbers. Its [Auto-number format object](/api/smartsheet/openapi/schemas/autonumberformat) describes the mask used to generate column values.
            Enum: "AUTO_NUMBER"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Text/number column" (1 values)
          - `validation` (boolean, required)
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Checkbox column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            The formula for the column, if set.

For example: "=ISODD([ID]@row)"
          - `symbol` (string)
            A checkbox column can use box (default), flag, or star symbols. See [Symbol Columns](/api/smartsheet/openapi/columns).

If the box symbol is used, the symbol property is absent.
            Enum: "FLAG", "STAR"
          - `tags` (array)
            If present, true cell values indicate completed tasks. This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
            Enum: "CARD_DONE"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: "CHECKBOX"
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Contact list column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `contactOptions` (array)
            Array of ContactOption objects to specify a pre-defined list of values for the column.
            Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
          - `contactOptions.email` (string)
            A parsable email address.
          - `contactOptions.name` (string)
            Can be a user's name, display name, or free text.
          - `formula` (string)
            The formula for the column, if set.

For example: =IF(Department@row = "Engineering", "jane.doe@company.com", IF(Department@row = "Marketing", "john.smith@company.com", "admin@company.com"))
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: "CONTACT_LIST"
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Created by column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `systemColumnType` (string, required)
            The contact represents the user who created the row.
            Enum: "CREATED_BY"
          - `type` (string, required)
            Enum: same as `type` in "Contact list column" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Created date column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `systemColumnType` (string, required)
            The system row creation datetime type.
            Enum: "CREATED_DATE"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `objectType` in "Datetime object value" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Date column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            The formula for the column, if set.

For example: =TODAY(-1)
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `objectType` in "Date object value" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Abstract datetime column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            The formula for the column, if set.

For example: =TODAY(-1)
          - `tags` (array)
            This property is only present for dependency-enabled project sheets. It indicates what the date represents in terms of the dependency-enabled project.
            Enum: "GANTT_START_DATE", "GANTT_END_DATE", "BASELINE_START_DATE", "BASELINE_END_DATE", "CALENDAR_START_DATE", "CALENDAR_END_DATE"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `objectType` in "Abstract datetime object value" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Dropdown list column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            A formula that returns a string value that matches one of the symbol options exactly (for example, "Red", "Yellow", "Green").

For example: =[Literal Rating]@row
          - `options` (array, required)
            An array of the options available to use in the column.
            Example: ["Option 1","Option 2","Option n"]
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: "PICKLIST"
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Duration column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `tags` (array)
            This property is only present in dependency-enabled project sheets. It indicates what the duration represents in terms of the dependency-enabled project.
            Enum: "GANTT_DURATION", "BASELINE_VARIANCE"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `objectType` in "Duration object value" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Modified by column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `systemColumnType` (string, required)
            If specified, the contact represents the user who created the row or last modified it.
            Enum: "MODIFIED_BY"
          - `type` (string, required)
            Enum: same as `type` in "Contact list column" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Modified date column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `systemColumnType` (string, required)
            The system row modification datetime type.
            Enum: "MODIFIED_DATE"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `objectType` in "Datetime object value" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Multi-contact list column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `contactOptions` (array)
            Array of ContactOption objects to specify a pre-defined list of values for the column.
            Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
          - `contactOptions.email` (string)
            A parsable email address.
          - `contactOptions.name` (string)
            Can be a user's name, display name, or free text.
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: "MULTI_CONTACT_LIST"
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: 1
        - Multi-dropdown list column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            A formula that returns a string value that matches a combination of the symbol options exactly, and include new line separators between multiple values.

For example: =JOIN(Range1@row:Range3@row, CHAR(10))

Important: To match multiple symbol option values, the return string must use a new line separator (that is, CHAR(10)) between symbol option values.
          - `options` (array, required)
            An array of the options available to use in the column. A cell value in this column can contain any number of these options.
            Example: ["Option 1","Option 2","Option n"]
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `objectType` in "Multi-picklist object value" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: 2
        - Percent complete column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `tags` (array)
            This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
            Enum: "GANTT_PERCENT_COMPLETE"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Text/number column" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
            Example: true
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Predecessor column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `tags` (array)
            Enum: "GANTT_PREDECESSOR"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: "PREDECESSOR"
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Assigned resource contact column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `options` (array, required)
            An array of contacts available to use in the column. A cell value in this column can contain one contact.
            Example: ["jane.doe@smartsheet.com","firstname.lastname@smartsheet.com"]
          - `tags` (array)
            This property is only present for dependency-enabled project sheets.
            Enum: "GANTT_ASSIGNED_RESOURCE"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Contact list column" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
            Example: true
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Assigned resource text column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `primary` (boolean)
            Returned only if the column is the Primary Column (value = true).
          - `tags` (array)
            This property is only present for dependency-enabled project sheets.
            Enum: same as `tags` in "Assigned resource contact column" (1 values)
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Text/number column" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
            Example: true
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Percent allocation column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `tags` (array)
            This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
            Enum: "GANTT_ALLOCATION"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Text/number column" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
            Example: true
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
        - Symbol column:
          - `description` (string)
            Column description.
          - `format` (string)
            The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
          - `hidden` (boolean)
            If set to true, the column is hidden.
          - `id` (number, required)
            The column's unique identifier.
            Example: 4567890123
          - `index` (number, required)
            The column's position in the sheet. Indexes start at 0.
          - `locked` (boolean)
            If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
          - `lockedForUser` (boolean)
            Indicates whether the column is locked for the requesting user.
          - `title` (string, required)
            Column title.
          - `width` (number, required)
            The column's display width in pixels.
            Example: 150
          - `formula` (string)
            A formula that returns a string value that matches one of the symbol options exactly (for example, "Red", "Yellow", "Green").

For example: =[Literal Rating]@row
          - `options` (array, required)
            An array of the options available to use in the column.

Note: All applicable options values are set automatically when you specify the symbol.

Important: You can't specify or update options at the same time you're specifying symbol. So leave it unspecified when you're creating a column or updating its symbol. If needed, you can update options in a separate call.
            Example: []
          - `symbol` (string)
            Specifies any type of symbol the column uses. For details and examples, see [Symbol Columns](/api/smartsheet/openapi/columns).
            Enum: "FLAG", "STAR", "HARVEY_BALLS", "PRIORITY", "RYG", "PRIORITY_HML", "DECISION_SYMBOLS", "DECISION_SHAPES", "VCR", "RYGB", "RYGG", "WEATHER", "PROGRESS", "ARROWS_3_WAY", "ARROWS_4_WAY", "ARROWS_5_WAY", "DIRECTIONS_3_WAY", "DIRECTIONS_4_WAY", "SKI", "SIGNAL", "STAR_RATING", "HEARTS", "MONEY", "EFFORT", "PAIN"
          - `type` (string, required)
            The column's type. See [Column Types](/api/smartsheet/openapi/columns).
            Enum: same as `type` in "Dropdown list column" (1 values)
          - `validation` (boolean, required)
            If true, validation is enabled for the column values.
          - `version` (number, required)
            The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
            Enum: same as `version` in "Text/number column" (1 values)
      - `hyperlink` (object) — one of:
        Specifies what happens (the widget behavior) when a user clicks on the widget.
        - No widget hyperlink:
          - `interactionType` (string)
            Do nothing.
            Enum: same as `interactionType` in "No widget hyperlink" (1 values)
        - Distribution widget hyperlink:
          - `interactionType` (string)
            Opens the current org's distribution link; it's only available if the org has distribution links enabled.
            Enum: same as `interactionType` in "Distribution widget hyperlink" (1 values)
          - `url` (string)
        - Folder widget hyperlink:
          - `interactionType` (string)
            Opens the specified folder.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `folderId` (number)
        - Report widget hyperlink:
          - `interactionType` (string)
            Opens the specified report.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `reportId` (number)
        - Sheet widget hyperlink:
          - `interactionType` (string)
            Opens the specified sheet.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `sheetId` (number)
        - Dashboard widget hyperlink:
          - `interactionType` (string)
            Opens the specified dashboard.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `sightId` (number)
        - Workspace widget hyperlink:
          - `interactionType` (string)
            Opens the specified workspace.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `workspaceId` (number)
        - Source sheet widget hyperlink:
          - `interactionType` (string)
            Opens the widget's source sheet.
            Enum: same as `interactionType` in "Source sheet widget hyperlink" (1 values)
          - `url` (string)
          - `sheetId` (number)
        - Source report widget hyperlink:
          - `interactionType` (string)
            Opens the widget's source report.
            Enum: same as `interactionType` in "Source sheet widget hyperlink" (1 values)
          - `url` (string)
          - `reportId` (number)
        - Web widget hyperlink:
          - `interactionType` (string)
            Opens the website specified by the URL.
            Enum: same as `interactionType` in "Web widget hyperlink" (1 values)
          - `url` (string)
    - Image Widget Content:
      - `type` (string)
        Enum: "IMAGE"
      - `privateId` (string)
        The image private ID.
      - `fileName` (string)
        Name of the image file.
      - `fit` (string)
        Describes how the image occupies the available space of its widget.
 * ACTUAL_SIZE - Uses the original image width and height dimensions.
 * FILL - Scales the image to maintain its aspect ratio while filling its entire widget. If the image aspect 
ratio does not match the aspect ratio of its widget, then the image will be clipped to fit.
 * FIT - Scales the image to maintain its aspect ratio while fitting within its widget. The image will be 
"letterboxed" if its aspect ratio does not match the aspect ratio of its widget. Default value for new  image widgets and for existing image widgets where this property has not been explicitly set.
        Enum: "ACTUAL_SIZE", "FILL", "FIT"
      - `format` (string)
        Format descriptor. Follows the pattern in FormatTables.
        Example: ",7,1,,,,2,2,1,3,,,,,,1,"
      - `height` (number)
      - `hyperlink` (object) — one of:
        Specifies what happens (the widget behavior) when a user clicks on the widget.
        - No widget hyperlink:
          - `interactionType` (string)
            Do nothing.
            Enum: same as `interactionType` in "No widget hyperlink" (1 values)
        - Distribution widget hyperlink:
          - `interactionType` (string)
            Opens the current org's distribution link; it's only available if the org has distribution links enabled.
            Enum: same as `interactionType` in "Distribution widget hyperlink" (1 values)
          - `url` (string)
        - Folder widget hyperlink:
          - `interactionType` (string)
            Opens the specified folder.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `folderId` (number)
        - Report widget hyperlink:
          - `interactionType` (string)
            Opens the specified report.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `reportId` (number)
        - Sheet widget hyperlink:
          - `interactionType` (string)
            Opens the specified sheet.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `sheetId` (number)
        - Dashboard widget hyperlink:
          - `interactionType` (string)
            Opens the specified dashboard.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `sightId` (number)
        - Workspace widget hyperlink:
          - `interactionType` (string)
            Opens the specified workspace.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `workspaceId` (number)
        - Source sheet widget hyperlink:
          - `interactionType` (string)
            Opens the widget's source sheet.
            Enum: same as `interactionType` in "Source sheet widget hyperlink" (1 values)
          - `url` (string)
          - `sheetId` (number)
        - Source report widget hyperlink:
          - `interactionType` (string)
            Opens the widget's source report.
            Enum: same as `interactionType` in "Source sheet widget hyperlink" (1 values)
          - `url` (string)
          - `reportId` (number)
        - Web widget hyperlink:
          - `interactionType` (string)
            Opens the website specified by the URL.
            Enum: same as `interactionType` in "Web widget hyperlink" (1 values)
          - `url` (string)
      - `margin` (string)
        Indicates whether there is margin between the image and its widget borders.
 * MARGIN - Default value for existing image widgets where this property has not been explicitly set.
 * NO_MARGIN - Default value for new image widgets.
        Enum: "MARGIN", "NO_MARGIN"
      - `width` (number)
        Original width of the image in pixels.
    - Report:
      - `type` (string)
        Enum: "GRIDGANTT"
      - `reportId` (number)
        Report ID denoting container source.
      - `htmlContent` (string)
        HTMl snippet to render report.
      - `backgroundColor` (string)
        The hex color.
        Example: "#E6F5FE"
      - `hyperlink` (object) — one of:
        Specifies what happens (the widget behavior) when a user clicks on the widget.
        - No widget hyperlink:
          - `interactionType` (string)
            Do nothing.
            Enum: same as `interactionType` in "No widget hyperlink" (1 values)
        - Distribution widget hyperlink:
          - `interactionType` (string)
            Opens the current org's distribution link; it's only available if the org has distribution links enabled.
            Enum: same as `interactionType` in "Distribution widget hyperlink" (1 values)
          - `url` (string)
        - Folder widget hyperlink:
          - `interactionType` (string)
            Opens the specified folder.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `folderId` (number)
        - Report widget hyperlink:
          - `interactionType` (string)
            Opens the specified report.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `reportId` (number)
        - Sheet widget hyperlink:
          - `interactionType` (string)
            Opens the specified sheet.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `sheetId` (number)
        - Dashboard widget hyperlink:
          - `interactionType` (string)
            Opens the specified dashboard.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `sightId` (number)
        - Workspace widget hyperlink:
          - `interactionType` (string)
            Opens the specified workspace.
            Enum: same as `interactionType` in "Folder widget hyperlink" (1 values)
          - `url` (string)
          - `workspaceId` (number)
        - Source sheet widget hyperlink:
          - `interactionType` (string)
            Opens the widget's source sheet.
            Enum: same as `interactionType` in "Source sheet widget hyperlink" (1 values)
          - `url` (string)
          - `sheetId` (number)
        - Source report widget hyperlink:
          - `interactionType` (string)
            Opens the widget's source report.
            Enum: same as `interactionType` in "Source sheet widget hyperlink" (1 values)
          - `url` (string)
          - `reportId` (number)
        - Web widget hyperlink:
          - `interactionType` (string)
            Opens the website specified by the URL.
            Enum: same as `interactionType` in "Web widget hyperlink" (1 values)
          - `url` (string)
    - Rich Text:
      - `type` (string)
        Enum: "RICHTEXT"
      - `htmlContent` (string)
        The widget contents as HTML. The Rich Text widget supports the following subset of HTML tags and CSS Styles:

HTML
  * a - hyperlink
  * br - line break
  * li - list item
  * ol - ordered list
  * p - paragraph
  * span - section of the document
  * ul - unordered list

CSS
  * color
  * font-family
  * font-size
  * font-style
  * font-weight
  * text-align
  * text-decoration
    - Shortcut:
      - `type` (string)
        Enum: "SHORTCUT", "SHORTCUTICON", "SHORTCUTLIST"
      - `shortcutData` (array)
      - `shortcutData.attachmentType` (string)
        Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "SMARTSHEET"
      - `shortcutData.hyperlink` (object)
      - `shortcutData.hyperlink.reportId` (number)
        If non-null, this hyperlink is a link to the report with this ID.
      - `shortcutData.hyperlink.sheetId` (number)
        If non-null, this hyperlink is a link to the sheet with this ID.
      - `shortcutData.hyperlink.sightId` (number)
        If non-null, this hyperlink is a link to the dashboard with this ID.
      - `shortcutData.hyperlink.url` (string)
        When the hyperlink is a URL link, this property contains the URL value. When the hyperlink is a dashboard/report/sheet link (that is, dashboardId, reportId, or sheetId is non-null), this property contains the permalink to the dashboard, report, or sheet.
      - `shortcutData.label` (string)
        Label for the data point.
      - `shortcutData.labelFormat` (string)
        Format description of label.
        Example: ",,1,1,,,,,,,,,,,,,"
      - `shortcutData.labelFont` (string)
        List of supported fonts in Dashboards
        Enum: same as `axes.axisTitleFont` in "Chart widget content" (10 values)
      - `shortcutData.mimeType` (string)
      - `shortcutData.order` (number)
        The display order for the ShortcutWidgetItem object.
    - Title:
      - `type` (string)
        Enum: same as `type` in "Rich Text" (1 values)
      - `backgroundColor` (string)
      - `htmlContent` (string)
        The widget contents as HTML. The Title widget supports the following subset of HTML tags and CSS Styles:

HTML
  * br - line break
  * p - paragraph
  * span - section of the document

CSS
  * color
  * font-family
  * font-size
  * font-style
  * font-weight
  * text-align
  * text-decoration
        Example: "<p style=\"text-align:center\"><span class=\"clsDbFt\">HI!</span></p>"
    - Web Content:
      - `type` (string)
        Enum: "WidgetWebContent"
      - `url` (string)
        The URL for the web content.
        Example: "https://www.youtube.com/embed/quGpnXiCUms"

  - `result.widgets.height` (number)
    Number of rows that the widget occupies on the dashboard.

  - `result.widgets.showTitle` (boolean)
    True indicates that the client should display the widget title. This is independent of the title string which may be null or empty.

  - `result.widgets.showTitleIcon` (boolean)
    True indicates that the client should display the sheet icon in the widget title.

  - `result.widgets.title` (string)
    Title of the widget.

  - `result.widgets.titleFormat` (string)
    Title format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).
    Example: ",,1,,,,,,,3,,,,,,1,"

  - `result.widgets.titleFont` (string)
    List of supported fonts in Dashboards
    Enum: same as `axes.axisTitleFont` in "Chart widget content" (10 values)

  - `result.widgets.version` (number)
    Widget version number.

  - `result.widgets.viewMode` (number)
    Indicates the content layout. Must use a query parameter of level=2 to see this information.

  * 1 - centered
  * 2 - left aligned
    Enum: 1, 2

  - `result.widgets.width` (number)
    Number of columns that the widget occupies on the dashboard.

  - `result.widgets.xPosition` (number)
    X-coordinate of widget's position on the dashboard.

  - `result.widgets.yPosition` (number)
    Y-coordinate of widget's position on the dashboard.

  - `result.workspace` (object)
    A reference to the dashboard's workspace, if the dashboard is in a workspace; otherwise an empty value.
    Example: {"id":1234567890,"name":"Some Workspace"}

  - `result.workspace.id` (number)
    Workspace ID.
    Example: 1234567890

  - `result.workspace.name` (string)
    Workspace name.
    Example: "Some Workspace"

  - `result.createdAt` (any)

  - `result.modifiedAt` (any)

  - `result.id` (number)
    Dashboard ID.

  - `result.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `result.permalink` (string)
    URL that represents a direct link to the dashboard in Smartsheet.

  - `result.name` (string)
    Dashboard name.


